Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(38)

Issue 2752493002: [android] Add support for passing command-line flags directly. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 2 weeks ago by jbudorick
Modified:
6 months, 1 week ago
CC:
agrieve+watch_chromium.org, chromium-reviews, jbudorick+watch_chromium.org, mikecase+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[android] Add support for passing command-line flags directly. Previously, command-line flags to be passed to the test had to be passed via: - (gtests) --test-arguments <string> - (instrumentation tests) --device-flags{,-file} <file> This CL changes it s.t. any flags not recognized by the test runner are passed down to the binary. It also removes --device-flags and deprecates --test-arguments. BUG=700366 Review-Url: https://codereview.chromium.org/2752493002 Cr-Commit-Position: refs/heads/master@{#457513} Committed: https://chromium.googlesource.com/chromium/src/+/7d30806cf9bcb492d60dab0b3987aba72ff59f87

Patch Set 1 #

Total comments: 10

Patch Set 2 : mikecase and shenghuazhang comments #

Patch Set 3 : rebase #

Patch Set 4 : Ensure command_line_flags is always present in the Namespace. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+124 lines, -41 lines) Patch
M build/android/pylib/gtest/gtest_test_instance.py View 1 2 3 chunks +17 lines, -7 lines 0 comments Download
M build/android/pylib/instrumentation/instrumentation_test_instance.py View 1 2 1 chunk +13 lines, -11 lines 0 comments Download
M build/android/pylib/instrumentation/instrumentation_test_instance_test.py View 1 2 chunks +60 lines, -0 lines 0 comments Download
M build/android/pylib/local/device/local_device_gtest_run.py View 1 2 1 chunk +7 lines, -5 lines 0 comments Download
M build/android/test_runner.py View 1 2 3 8 chunks +27 lines, -18 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 22 (10 generated)
jbudorick
6 months, 2 weeks ago (2017-03-13 21:54:56 UTC) #2
jam
(I'm not qualified to review this, but thank you)
6 months, 2 weeks ago (2017-03-13 21:59:17 UTC) #3
mikecase (-- gone --)
https://codereview.chromium.org/2752493002/diff/1/build/android/pylib/gtest/gtest_test_instance.py File build/android/pylib/gtest/gtest_test_instance.py (right): https://codereview.chromium.org/2752493002/diff/1/build/android/pylib/gtest/gtest_test_instance.py#newcode350 build/android/pylib/gtest/gtest_test_instance.py:350: self._flags.append('--gtest_also_run_disabled_tests') nit: wrong indentation https://codereview.chromium.org/2752493002/diff/1/build/android/pylib/gtest/gtest_test_instance.py#newcode391 build/android/pylib/gtest/gtest_test_instance.py:391: def gtest_also_run_disabled_tests(self): Probably ...
6 months, 2 weeks ago (2017-03-13 23:59:47 UTC) #4
shenghuazhang
https://codereview.chromium.org/2752493002/diff/1/build/android/pylib/gtest/gtest_test_instance.py File build/android/pylib/gtest/gtest_test_instance.py (right): https://codereview.chromium.org/2752493002/diff/1/build/android/pylib/gtest/gtest_test_instance.py#newcode349 build/android/pylib/gtest/gtest_test_instance.py:349: if args.run_disabled: If we need to append args.run_disabled in ...
6 months, 1 week ago (2017-03-14 05:45:05 UTC) #5
jbudorick
https://codereview.chromium.org/2752493002/diff/1/build/android/pylib/gtest/gtest_test_instance.py File build/android/pylib/gtest/gtest_test_instance.py (right): https://codereview.chromium.org/2752493002/diff/1/build/android/pylib/gtest/gtest_test_instance.py#newcode349 build/android/pylib/gtest/gtest_test_instance.py:349: if args.run_disabled: On 2017/03/14 05:45:05, shenghuazhang wrote: > If ...
6 months, 1 week ago (2017-03-15 18:28:00 UTC) #6
mikecase (-- gone --)
lgtm
6 months, 1 week ago (2017-03-16 16:52:37 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752493002/20001
6 months, 1 week ago (2017-03-16 17:06:41 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: ios-device-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device-xcode-clang/builds/57149) mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
6 months, 1 week ago (2017-03-16 17:09:51 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752493002/40001
6 months, 1 week ago (2017-03-16 17:20:40 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/138222)
6 months, 1 week ago (2017-03-16 17:58:49 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752493002/60001
6 months, 1 week ago (2017-03-16 18:06:16 UTC) #19
commit-bot: I haz the power
6 months, 1 week ago (2017-03-16 19:19:46 UTC) #22
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/7d30806cf9bcb492d60dab0b3987...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b